VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Variables
Context of State Restoration

used for PresetAttributes::kStateType in IStreamAttributes More...

## Variables
const CString | kProject = "Project"
| the state is restored from a project loading or it is saved in a project
const CString | kDefault = "Default"
| the state is restored from a preset (marked as default) or the host wants to store a default state of the plug-in
const CString | kTrackPreset = "TrackPreset"
| the state is restored from a track preset

## Detailed Description

used for PresetAttributes::kStateType in IStreamAttributes

## Variable Documentation

## ◆ kProject

const CString kProject = "Project"

the state is restored from a project loading or it is saved in a project

## ◆ kDefault

const CString kDefault = "Default"

the state is restored from a preset (marked as default) or the host wants to store a default state of the plug-in

## ◆ kTrackPreset

const CString kTrackPreset = "TrackPreset"

the state is restored from a track preset

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.